Subject: [MMUSIC] Fwd: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt

From: Andy Hutton <[email-masked]>
Date: Mon, 23 Jan 2017 11:51:14 +0000

I have just submitted this draft.

The draft is the result of discussion in the SIPBrandy working group
regarding how to proceed with
https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-01.  The SIPBrandy
WG was not able to progress the opportunistic SRTP work because it required
an update to RFC 4568 which is not covered by the SIPBrandy charter.

This short draft is therefore submitted to MMUSIC with a view to updating
the relevant RFC's and progressing the OSRTP work in SIPBrandy.

Regards
Andy

---------- Forwarded message ----------
From: <[email-masked]>
Date: Mon, Jan 23, 2017 at 11:08 AM
Subject: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

        Title           : Negotiating SRTP and RTCP Feedback using the
RTP/AVP Profile
        Authors         : Andrew Hutton
                          Roland Jesske
                          Alan Johnston
                          Gonzalo Salgueiro
                          Bernard Aboba
        Filename        : draft-hutton-mmusic-opportunis
tic-negotiation-00.txt
        Pages           : 6
        Date            : 2017-01-23

Abstract:
   This document describes how the use of the Secure Real-time transport
   protocol (SRTP) [RFC3711]. can be negotiated using the AVP (Audio
   Video Profile) defined in [RFC3551].  Such a mechanism is used to
   provide a means for encrypted media to be used in environments where
   support for encryption is not known in advance, and not required.
   The same mechanism is also applied to negotiation of the Extended RTP
   Profile for Real-time Transport Control Protocol Based Feedback (RTP/
   AVPF) [RFC4585].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-hutton-mmusic-opportu
nistic-negotiation/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-hutton-mmusic-opportunistic-negotiation-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft
<https://www.ietf.org/mailman/listinfo/i-d-announceInternet-Draft>
directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 24 Jan 2017 15:47:56 +0000

Hi Andy,

I’m glad to see this draft. One initial comment after a quick review - in section 5, the answerer must also be allowed to indicate the profile as AVP or SAVP yet still include the "a=rtcp-fb" SDP attribute. This is not allowed by RFC 4585, so it must be described here as well.
Also, it would be good to reference the IMTC best practice document that popularized this relaxation of RFC 4585: IMTC 1015 – “SIP Video Profile Best Practices”.
http://www.imtc.org/documents/official-documents/

Cheers,
Charles

From: mmusic <[email-masked]> on behalf of Andy Hutton <[email-masked]>
Date: Monday, January 23, 2017 at 3:51 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Ben Campbell <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [MMUSIC] Fwd: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt

The draft is the result of discussion in the SIPBrandy working group regarding how to proceed with https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-01.  The SIPBrandy WG was not able to progress the opportunistic SRTP work because it required an update to RFC 4568 which is not covered by the SIPBrandy charter.

This short draft is therefore submitted to MMUSIC with a view to updating the relevant RFC's and progressing the OSRTP work in SIPBrandy.

Regards
Andy

---------- Forwarded message ----------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Jan 23, 2017 at 11:08 AM
Subject: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt
To: [email-masked]<mailto:[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Negotiating SRTP and RTCP Feedback using the RTP/AVP Profile
        Authors         : Andrew Hutton
                          Roland Jesske
                          Alan Johnston
                          Gonzalo Salgueiro
                          Bernard Aboba
        Filename        : draft-hutton-mmusic-opportunistic-negotiation-00.txt
        Pages           : 6
        Date            : 2017-01-23

Abstract:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-hutton-mmusic-opportunistic-negotiation/

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

_______________________________________________
I-D-Announce mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Andy Hutton <[email-masked]>
Date: Wed, 25 Jan 2017 13:41:05 +0000

Hi Charles, thanks for the comments and yes I agree will include some
further text in section 5 and a reference to the IMTC spec in the next
update.

Andy

On Tue, Jan 24, 2017 at 3:47 PM, Charles Eckel (eckelcu) <[email-masked]>
wrote:

> Hi Andy,
>
>
>
> I’m glad to see this draft. One initial comment after a quick review - in
> section 5, the answerer must also be allowed to indicate the profile as AVP
> or SAVP yet still include the "a=rtcp-fb" SDP attribute. This is not
> allowed by RFC 4585, so it must be described here as well.
>
> Also, it would be good to reference the IMTC best practice document that
> popularized this relaxation of RFC 4585: IMTC 1015 – “SIP Video Profile
> Best Practices”.
>
> *From: *mmusic <[email-masked]> on behalf of Andy Hutton <
> [email-masked]>
> *Date: *Monday, January 23, 2017 at 3:51 AM
> *To: *"[email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>, Ben Campbell <
> [email-masked]>, "[email-masked]" <[email-masked]>
> *Subject: *[MMUSIC] Fwd: I-D Action: draft-hutton-mmusic-
> opportunistic-negotiation-00.txt
>
>
>
>
>
> regarding how to proceed with https://tools.ietf.org/
> html/draft-ietf-sipbrandy-osrtp-01.  The SIPBrandy WG was not able to
> progress the opportunistic SRTP work because it required an update to RFC
> 4568 which is not covered by the SIPBrandy charter.
>
>
>